#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(qeth_dbf, "_gpl", "");
KSYMTAB_FUNC(qeth_set_allowed_threads, "_gpl", "");
KSYMTAB_FUNC(qeth_threads_running, "_gpl", "");
KSYMTAB_FUNC(qeth_resize_buffer_pool, "_gpl", "");
KSYMTAB_FUNC(qeth_ipa_alloc_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_ipa_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_get_diag_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_configure_cq, "_gpl", "");
KSYMTAB_FUNC(qeth_xmit, "_gpl", "");
KSYMTAB_FUNC(qeth_setadp_promisc_mode, "_gpl", "");
KSYMTAB_FUNC(qeth_setadpparms_change_macaddr, "_gpl", "");
KSYMTAB_FUNC(qeth_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(qeth_vm_request_mac, "_gpl", "");
KSYMTAB_FUNC(qeth_set_offline, "_gpl", "");
KSYMTAB_FUNC(qeth_poll, "_gpl", "");
KSYMTAB_FUNC(qeth_setassparms_cb, "_gpl", "");
KSYMTAB_FUNC(qeth_get_setassparms_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_simple_setassparms_prot, "_gpl", "");
KSYMTAB_FUNC(qeth_dbf_longtext, "_gpl", "");
KSYMTAB_FUNC(qeth_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(qeth_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(qeth_enable_hw_features, "_gpl", "");
KSYMTAB_FUNC(qeth_set_features, "_gpl", "");
KSYMTAB_FUNC(qeth_fix_features, "_gpl", "");
KSYMTAB_FUNC(qeth_features_check, "_gpl", "");
KSYMTAB_FUNC(qeth_get_stats64, "_gpl", "");
KSYMTAB_FUNC(qeth_set_real_num_tx_queues, "_gpl", "");
KSYMTAB_FUNC(qeth_iqd_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_osa_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_open, "_gpl", "");
KSYMTAB_FUNC(qeth_stop, "_gpl", "");

SYMBOL_CRC(qeth_dbf, 0x8560d255, "_gpl");
SYMBOL_CRC(qeth_set_allowed_threads, 0x7803889d, "_gpl");
SYMBOL_CRC(qeth_threads_running, 0xb675a7ad, "_gpl");
SYMBOL_CRC(qeth_resize_buffer_pool, 0x30731ea8, "_gpl");
SYMBOL_CRC(qeth_ipa_alloc_cmd, 0x3386ce78, "_gpl");
SYMBOL_CRC(qeth_send_ipa_cmd, 0xdd14c940, "_gpl");
SYMBOL_CRC(qeth_get_diag_cmd, 0xb9495692, "_gpl");
SYMBOL_CRC(qeth_configure_cq, 0xd1eab4fd, "_gpl");
SYMBOL_CRC(qeth_xmit, 0x191c433b, "_gpl");
SYMBOL_CRC(qeth_setadp_promisc_mode, 0x2f9fcca8, "_gpl");
SYMBOL_CRC(qeth_setadpparms_change_macaddr, 0xd0ce39b7, "_gpl");
SYMBOL_CRC(qeth_tx_timeout, 0xd9fa3054, "_gpl");
SYMBOL_CRC(qeth_vm_request_mac, 0x3a4dff43, "_gpl");
SYMBOL_CRC(qeth_set_offline, 0x62315b31, "_gpl");
SYMBOL_CRC(qeth_poll, 0x89a177e5, "_gpl");
SYMBOL_CRC(qeth_setassparms_cb, 0xbf2ceccd, "_gpl");
SYMBOL_CRC(qeth_get_setassparms_cmd, 0x55bdb207, "_gpl");
SYMBOL_CRC(qeth_send_simple_setassparms_prot, 0xe48bbded, "_gpl");
SYMBOL_CRC(qeth_dbf_longtext, 0x437461e3, "_gpl");
SYMBOL_CRC(qeth_siocdevprivate, 0x1330532b, "_gpl");
SYMBOL_CRC(qeth_do_ioctl, 0xfdafce95, "_gpl");
SYMBOL_CRC(qeth_enable_hw_features, 0x2cda5b20, "_gpl");
SYMBOL_CRC(qeth_set_features, 0x3d759c96, "_gpl");
SYMBOL_CRC(qeth_fix_features, 0x65e44c2f, "_gpl");
SYMBOL_CRC(qeth_features_check, 0x80fd1279, "_gpl");
SYMBOL_CRC(qeth_get_stats64, 0x30a11448, "_gpl");
SYMBOL_CRC(qeth_set_real_num_tx_queues, 0x2ed211ff, "_gpl");
SYMBOL_CRC(qeth_iqd_select_queue, 0x04419690, "_gpl");
SYMBOL_CRC(qeth_osa_select_queue, 0x459fac59, "_gpl");
SYMBOL_CRC(qeth_open, 0x5cf6ed60, "_gpl");
SYMBOL_CRC(qeth_stop, 0x7e8ae767, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc08b4d4c, "ccw_device_get_cssid" },
	{ 0x8a4498c, "napi_alloc_skb" },
	{ 0x892252dc, "alloc_etherdev_mqs" },
	{ 0x63a4a23f, "ccw_device_halt" },
	{ 0xeb154a52, "ccw_device_start_timeout" },
	{ 0x15b49bac, "vscnprintf" },
	{ 0xd5b3a4c2, "qdio_shutdown" },
	{ 0xa6bba9c7, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7174178f, "ccwgroup_set_offline" },
	{ 0x308ba20a, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x812ddc34, "ccw_device_get_chid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe1b4964b, "skb_copy_bits" },
	{ 0x9653e436, "qdio_allocate" },
	{ 0x80db3233, "qdio_inspect_output_queue" },
	{ 0xc651646e, "skb_put" },
	{ 0x6d01a486, "skb_tstamp_tx" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x4cc925a, "netdev_update_features" },
	{ 0x7410a707, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x9cb128e4, "netif_napi_add_weight" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x12f1f6bc, "napi_get_frags" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x3e48a517, "debug_set_level" },
	{ 0xacdd436e, "register_service_level" },
	{ 0x625b794e, "debug_register" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x58a74545, "ccw_device_start" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xbdcd6120, "seq_lseek" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x7dcbeaad, "qdio_add_bufs_to_output_queue" },
	{ 0x8bbd7310, "__netif_napi_del" },
	{ 0xa45a9d0b, "get_device" },
	{ 0x6e00b8cb, "_ebcasc" },
	{ 0xb0211ac3, "ether_setup" },
	{ 0x4ff8aff1, "qdio_get_ssqd_desc" },
	{ 0xfc2faf55, "ccwgroup_create_dev" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x123bf9de, "pskb_expand_head" },
	{ 0xe5dca36f, "wake_up_process" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0xb2ec1b70, "dev_addr_mod" },
	{ 0x89a2be3, "eth_type_trans" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x309b845, "napi_complete_done" },
	{ 0x983b98a6, "alloc_netdev_mqs" },
	{ 0x3b132b43, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x2a177ccc, "unregister_service_level" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0xd1fead17, "qdio_inspect_input_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9fe6f056, "put_device" },
	{ 0x635aeb98, "__napi_schedule" },
	{ 0xc1d5acbb, "root_device_unregister" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x1440f4dd, "netif_device_detach" },
	{ 0x6bc8a53c, "__free_pages" },
	{ 0x81a90b94, "_dev_info" },
	{ 0xc420944c, "napi_gro_receive" },
	{ 0xfe309ce9, "netdev_pick_tx" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x3916ed3c, "ccwgroup_probe_ccwdev" },
	{ 0x4cfe1404, "qdio_establish" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xc187b6ff, "_dev_err" },
	{ 0x62c872d1, "softnet_data" },
	{ 0x8c3ad3ee, "ccw_device_get_id" },
	{ 0x3692a0df, "__root_device_register" },
	{ 0xd38dafdf, "ccw_device_get_ciw" },
	{ 0xa4c439f7, "netif_set_real_num_tx_queues" },
	{ 0xfeb045ae, "sk_skb_reason_drop" },
	{ 0x55fcaa48, "ccw_device_get_chp_desc" },
	{ 0x1c4445c0, "qdio_alloc_buffers" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xf51b9810, "netdev_printk" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x21518b46, "skb_push" },
	{ 0x3480c6d8, "kmem_cache_free" },
	{ 0xf746093, "ccwgroup_driver_register" },
	{ 0x598a275f, "debugfs_remove" },
	{  0x90453, "napi_enable" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xbd33dec, "free_netdev" },
	{ 0x90bbbe7a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7e1aeaa3, "__debug_sprintf_event" },
	{ 0xb0596b4c, "ethtool_op_get_link" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xa8e03765, "netif_tx_stop_all_queues" },
	{ 0x6f1a315b, "netif_tx_wake_queue" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x93c8f170, "ccw_device_set_offline" },
	{ 0x6c2a2fa6, "_dev_warn" },
	{ 0x7888fd8a, "ccw_driver_register" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xef16c162, "netif_schedule_queue" },
	{ 0xee775dbc, "ccw_device_clear" },
	{ 0x77abf1a3, "qdio_free_buffers" },
	{ 0x6abd4679, "kmem_cache_alloc_noprof" },
	{ 0xd4c12f24, "qdio_reset_buffers" },
	{ 0x920b8073, "netdev_set_tc_queue" },
	{ 0x887892f4, "qdio_start_irq" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x2e01d8c, "__pskb_pull_tail" },
	{ 0x7c9b8947, "__netdev_alloc_skb" },
	{ 0x5e5b4ed0, "__kmem_cache_create_args" },
	{ 0xe798236d, "jiffies" },
	{ 0xe817d6c3, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6660c784, "debug_hex_ascii_view" },
	{ 0x86481ff1, "debug_unregister" },
	{ 0x5cf3f537, "seq_read" },
	{ 0xb7ee2a2c, "diag26c" },
	{ 0xc622ea97, "stsi" },
	{ 0xc533a127, "ccwgroup_driver_unregister" },
	{ 0x21d919e1, "ccwgroup_remove_ccwdev" },
	{ 0x58549164, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x92029b42, "ccw_device_get_iid" },
	{ 0x9050b9a3, "debug_event_common" },
	{ 0x952c2395, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7472834f, "netif_carrier_off" },
	{ 0x171833e8, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x992cdb6, "ccw_device_set_online" },
	{ 0xd04da22b, "netdev_set_num_tc" },
	{ 0x7ccbd5f9, "kobject_uevent" },
	{ 0x3039df8e, "dql_reset" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xd8ce274b, "single_release" },
	{ 0xd2447348, "qdio_add_bufs_to_input_queue" },
	{ 0xb2fd5f6c, "skb_add_rx_frag_netmem" },
	{ 0x4bc1c86f, "__napi_schedule_irqoff" },
	{ 0xa3b972f1, "napi_schedule_prep" },
	{ 0x80dfc828, "napi_consume_skb" },
	{ 0x71a146b4, "debug_sprintf_view" },
	{ 0xc56ff0fc, "qdio_stop_irq" },
	{ 0xd4c1cb34, "napi_disable" },
	{ 0x93f39ee5, "qdio_free" },
	{ 0xd3768a39, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x8c92be84, "debugfs_create_dir" },
	{ 0xac7512c4, "debug_register_view" },
	{ 0xd8fcda72, "cpcmd" },
	{ 0x8fde9a08, "ccw_driver_unregister" },
	{ 0xb3101336, "skb_clone_tx_timestamp" },
	{ 0x72624e0c, "qdio_activate" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x1fa6812a, "ethtool_op_get_ts_info" },
	{ 0x522ff0b6, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6e2f599e, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x32f96c4a, "module_layout" },
};

MODULE_INFO(depends, "qdio,ccwgroup");

MODULE_ALIAS("ccw:t1731m01dt1732dm01*");
MODULE_ALIAS("ccw:t1731m05dt1732dm05*");
MODULE_ALIAS("ccw:t1731m02dt1732dm03*");

MODULE_INFO(srcversion, "3B7DDCE882ADA72FA06FE30");
MODULE_INFO(rhelversion, "10.1");
