#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfsd_open_local_fh, "_gpl", "");

SYMBOL_CRC(nfsd_open_local_fh, 0xe87738ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeffd98b3, "svc_find_listener" },
	{ 0xef464c28, "getboottime64" },
	{ 0x24017952, "svc_generic_rpcbind_set" },
	{ 0xefebcdcf, "svc_wake_up" },
	{ 0x9cbde0a0, "nlmsvc_unlock_all_by_ip" },
	{ 0x77d03b8a, "seq_path" },
	{ 0x3ad72f7, "trace_print_array_seq" },
	{ 0x113840b1, "vfs_fsync_range" },
	{ 0x74f7c601, "shrinker_alloc" },
	{ 0x26bf7180, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2c98e6bf, "vfs_listxattr" },
	{ 0xe942d8f2, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x308ba20a, "vmemmap" },
	{ 0xd52593e0, "opens_in_grace" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc53f55a6, "notify_change" },
	{ 0x1e1708ae, "bpf_trace_run4" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x3761d215, "idr_find" },
	{ 0x9fc80a22, "simple_dir_inode_operations" },
	{ 0x3aacf352, "vfs_getattr" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0xb868b35e, "xdr_write_pages" },
	{ 0x4756caab, "rpc_shutdown_client" },
	{ 0x94afea3, "vfs_rename" },
	{ 0x3ca2c39e, "svc_bind" },
	{ 0xbaf6850c, "fsnotify_wait_marks_destroyed" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x12cabc89, "siphash_2u64" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xd75d1858, "proc_create" },
	{ 0x64b3353d, "lookup_one_len" },
	{ 0x6db53112, "auth_domain_find" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xe8e2adf9, "__break_lease" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x2ae9f113, "new_inode" },
	{ 0xb5522057, "svc_recv" },
	{ 0x761e11a0, "crypto_shash_tfm_digest" },
	{ 0xd83e2ff4, "seq_release" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0x326ce843, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5cd41410, "cache_create_net" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x84084245, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xb51a3724, "rpc_pipefs_notifier_unregister" },
	{ 0x6887b457, "nlmsvc_unlock_all_by_sb" },
	{ 0xd9063b3b, "unregister_filesystem" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0x1fe1e1ad, "locks_end_grace" },
	{ 0xb9614181, "param_get_bool" },
	{ 0x7b524c91, "locks_owner_has_blockers" },
	{ 0x30fe4daa, "list_lru_destroy" },
	{ 0xc8c2643c, "iterate_dir" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xd8763a7, "read_bytes_from_xdr_buf" },
	{ 0x74477c50, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x1930d0a8, "d_alloc_name" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0xd1530a3d, "lockd_down" },
	{ 0x7bcb911a, "get_tree_keyed" },
	{ 0x576c4ec0, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xfef74622, "lockd_up" },
	{ 0x6a33f857, "abort_creds" },
	{ 0xcdcde40e, "simple_fill_super" },
	{ 0xf0659f14, "security_file_post_open" },
	{ 0x9519ca4b, "svc_reserve" },
	{ 0x489f8279, "sunrpc_cache_lookup_rcu" },
	{ 0x35308f50, "fsnotify" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0x81e9d8aa, "kthread_func" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xfc939772, "cache_seq_next_rcu" },
	{ 0x4fceb1e2, "current_time" },
	{ 0x2521b9ea, "genlmsg_put" },
	{ 0xb55cef90, "fsnotify_put_mark" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xb69b1ea8, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x79539236, "kthread_exit" },
	{ 0x14bbb167, "ihold" },
	{ 0xb74f7b64, "follow_up" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x7f838a9, "simple_transaction_get" },
	{ 0xf5a2b8a7, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x48c39446, "svc_max_payload" },
	{ 0xa3aec6be, "vfs_test_lock" },
	{ 0x19619f1b, "svc_exit_thread" },
	{ 0x7aca711d, "iput" },
	{ 0xbdcd6120, "seq_lseek" },
	{ 0x7aa922ed, "follow_down" },
	{ 0x1f322fbd, "rpc_pton" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0x45a7cc55, "rpc_wake_up_queued_task" },
	{ 0x62aa0b9, "rpc_ntop" },
	{ 0x6a48eb7c, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x527da11d, "rpc_restart_call_prepare" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x23744027, "security_inode_setsecctx" },
	{ 0x955b4dac, "__xdr_commit_encode" },
	{ 0x75b60544, "kthread_data" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0x267f503d, "register_filesystem" },
	{ 0x44f6ecf6, "list_lru_count_node" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xaf011908, "vfs_unlink" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x238637e8, "sync_inode_metadata" },
	{ 0x6e6c6e21, "simple_transaction_set" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x2330ceef, "trace_print_hex_seq" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x5818fe3c, "posix_acl_from_mode" },
	{ 0x49672828, "node_states" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x7bb8a3f9, "path_put" },
	{ 0x8a7bea1a, "rpc_sleep_on" },
	{ 0x962f8882, "svc_encode_result_payload" },
	{ 0x5d10cd5f, "vfs_copy_file_range" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x853bfb13, "rpc_put_sb_net" },
	{ 0x9f60c966, "__put_cred" },
	{ 0xdc107a8d, "register_pernet_subsys" },
	{ 0x54bc5bb0, "locks_in_grace" },
	{ 0xe5dca36f, "wake_up_process" },
	{ 0x6db919aa, "vfs_mkdir" },
	{ 0x2bb615d2, "shrinker_free" },
	{ 0x2a30d380, "svc_proc_register" },
	{ 0x43e9af1d, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0xc9bfe008, "vfs_statfs" },
	{ 0xe3498194, "crypto_destroy_tfm" },
	{ 0xbcebd3ef, "simple_inode_init_ts" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x985453e1, "lease_unregister_notifier" },
	{ 0x6ff77ffa, "list_lru_walk_node" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x45002ad, "cache_purge" },
	{ 0x3e35f560, "fsnotify_alloc_group" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc715115a, "vfs_iter_read" },
	{ 0x446f5d53, "vfs_fallocate" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xe362de52, "__fput_sync" },
	{ 0x52779a0d, "svcauth_map_clnt_to_svc_cred_local" },
	{ 0x663e79de, "nfs_to" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf58874e9, "make_kuid" },
	{ 0xf7e2f733, "locks_release_private" },
	{ 0xdc71bbc8, "mnt_want_write" },
	{ 0xf50f28dd, "simple_dir_operations" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xea3a4705, "cache_seq_stop_rcu" },
	{ 0x7e49b173, "__alloc_skb" },
	{ 0xffc812a2, "shrinker_register" },
	{ 0xf7a42656, "locks_init_lock" },
	{ 0xe5a56ecd, "idr_get_next" },
	{ 0x154f99f0, "rpc_destroy_pipe_data" },
	{ 0x30e80536, "cache_seq_start_rcu" },
	{ 0xbf9d1b96, "nfsd_debug" },
	{ 0x387e1639, "rpc_pipefs_notifier_register" },
	{ 0x8326639c, "get_inode_acl" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xa2e4616a, "init_task" },
	{ 0xe896e153, "xdr_init_encode_pages" },
	{ 0x57a54625, "rpc_pipe_generic_upcall" },
	{ 0xcfa3d39d, "module_put" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x1c742117, "simple_transaction_release" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xeee5335d, "svc_xprt_put" },
	{ 0x5305ca10, "__fsnotify_parent" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xe4472071, "security_inode_getsecctx" },
	{ 0x3daee2c0, "cache_unregister_net" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xedcf6be4, "qword_add" },
	{ 0x89e86943, "sunrpc_get_pool_mode" },
	{ 0x2a3a9a9, "seq_escape_mem" },
	{ 0xe1609f32, "prepare_creds" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xbdf07dff, "lease_modify" },
	{ 0x12b9fe03, "svc_age_temp_xprts_now" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xa1ec023, "vfs_get_link" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x4f832b27, "perf_trace_run_bpf_submit" },
	{ 0xcfcc57b3, "svc_rqst_replace_page" },
	{ 0xbf2ddcce, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x192aae68, "rpc_machine_cred" },
	{ 0xc120e449, "nfs_stream_encode_acl" },
	{ 0xd2510a63, "up_write" },
	{ 0x2941b093, "exportfs_encode_fh" },
	{ 0x765a22ae, "kernel_setlease" },
	{ 0x6d4e008e, "simple_symlink_inode_operations" },
	{ 0x774612a1, "svc_set_num_threads" },
	{ 0x694f526b, "mark_tech_preview" },
	{ 0x66304bd0, "svc_rpcb_cleanup" },
	{ 0xb1366279, "unix_domain_find" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xbfc60e07, "__splice_from_pipe" },
	{ 0xfeb045ae, "sk_skb_reason_drop" },
	{ 0x67278054, "rpc_peeraddr2str" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xf03a1951, "netlink_unicast" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0x9a8ef390, "locks_init_lease" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x9538fae8, "bpf_trace_run5" },
	{ 0x46b4922f, "rpc_d_lookup_sb" },
	{ 0xdf0dfa4f, "fsnotify_init_mark" },
	{ 0x954f099c, "idr_preload" },
	{ 0xfd282dbf, "svc_create_pooled" },
	{ 0xe53e2035, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xff1cdb91, "xdr_reserve_space_vec" },
	{ 0x7bc8ea13, "lock_rename" },
	{ 0x3480c6d8, "kmem_cache_free" },
	{ 0xedca3c9c, "__vfs_setxattr_locked" },
	{ 0xf735cfa, "svc_fill_symlink_pathname" },
	{ 0x7be1e39b, "nfs_localio_invalidate_clients" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x85abc85f, "strncmp" },
	{ 0x74beef8f, "xdr_stream_subsegment" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x1cd49028, "seq_putc" },
	{ 0xff182e8, "nla_put" },
	{ 0x209d794b, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd8df34a2, "vfs_getxattr" },
	{ 0x26f624fb, "param_set_bool" },
	{ 0x969e33e5, "iov_iter_kvec" },
	{ 0x6d21f3db, "rw_verify_area" },
	{ 0xf4e3d91e, "locks_alloc_lease" },
	{ 0xe289e845, "list_lru_add_obj" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x734d9580, "fsnotify_destroy_mark" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0x5a2d8b0f, "simple_transaction_read" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x707503d5, "__audit_inode_child" },
	{ 0xe92b1577, "xdr_restrict_buflen" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x88ec9e14, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xc2af61b7, "set_posix_acl" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x9b5f6b58, "rpc_create" },
	{ 0x4e89ce10, "idr_alloc_cyclic" },
	{ 0x6070d7e0, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x550bcc57, "rpc_call_start" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb07abe2, "unshare_fs_struct" },
	{ 0x85708788, "bpf_trace_run1" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb4c9cf95, "svcauth_unix_purge" },
	{ 0x6cf4f55, "default_llseek" },
	{ 0x3ef92e52, "kill_litter_super" },
	{ 0x1d6446a7, "locks_alloc_lock" },
	{ 0x1f4167e1, "proc_mkdir" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xb7a78a46, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x4dfa14b5, "rpc_queue_upcall" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0x206ce95f, "kern_path" },
	{ 0x795e8d32, "vfs_lock_file" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xb60858f9, "cache_check" },
	{ 0xb5e22f82, "vfs_iter_write" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0xee51dc08, "rpc_delay" },
	{ 0x43aa319e, "lease_register_notifier" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x46e62075, "__list_lru_init" },
	{ 0x6abd4679, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x628ea044, "nfs_uuid_is_local" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x162893fd, "hashlen_string" },
	{ 0x4243dcbe, "xdr_buf_subsegment" },
	{ 0xb042dda3, "svc_generic_init_request" },
	{ 0xfa21efac, "svc_xprt_names" },
	{ 0x25950759, "rpc_get_sb_net" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0xe18ae4bb, "make_kgid" },
	{ 0x841444fd, "xattr_supports_user_prefix" },
	{ 0x9f0331c0, "splice_direct_to_actor" },
	{ 0xa50696e2, "svc_xprt_create_from_sa" },
	{ 0x5e5b4ed0, "__kmem_cache_create_args" },
	{ 0xff060cc1, "gss_pseudoflavor_to_service" },
	{ 0xd4c5f5c7, "fsnotify_put_group" },
	{ 0x64a94fdf, "dentry_create" },
	{ 0x73383b13, "nfs_stream_decode_acl" },
	{ 0xf4665d8c, "from_kgid_munged" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x8fde234f, "unlock_rename" },
	{ 0x7b29f648, "vfs_rmdir" },
	{ 0x103bafd6, "down_read" },
	{ 0x87005635, "svc_set_client" },
	{ 0x8268ddc7, "rpc_wake_up_next" },
	{ 0x8ffcb0b1, "xdr_reserve_space" },
	{ 0xe798236d, "jiffies" },
	{ 0xe817d6c3, "kthread_create_on_node" },
	{ 0xd5127d6a, "list_lru_isolate" },
	{ 0x253924b7, "mnt_drop_write" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5eb1ff7a, "__vfs_removexattr_locked" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x92abcc46, "bpf_trace_run3" },
	{ 0x91512be9, "override_creds" },
	{ 0x5cf3f537, "seq_read" },
	{ 0x7004fd61, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x8574bb03, "trace_print_flags_seq" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2d2c75a2, "rpc_mkpipe_dentry" },
	{ 0x6e988c6, "path_get" },
	{ 0x2b840df8, "rpc_mkpipe_data" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x4ab0ef3f, "vfs_symlink" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7c24e239, "rhltable_init_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0xd6dc268c, "sunrpc_set_pool_mode" },
	{ 0x4d66eebf, "trace_event_buffer_reserve" },
	{ 0x2f11e35d, "d_add" },
	{ 0x50a02f35, "svc_seq_show" },
	{ 0x427034da, "vfs_fsync" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x71fa908a, "cache_flush" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x47c20f8a, "refcount_dec_not_one" },
	{ 0xfde111e6, "param_ops_bool" },
	{ 0x5f4a905c, "groups_free" },
	{ 0xe995eee3, "__percpu_counter_sum" },
	{ 0x1a59ba9, "vfs_mknod" },
	{ 0x909d785d, "cache_register_net" },
	{ 0x4af4eae0, "fsnotify_find_mark" },
	{ 0xb916d398, "lookup_positive_unlocked" },
	{ 0x5d272d92, "init_user_ns" },
	{ 0x5800cebb, "rpc_uaddr2sockaddr" },
	{ 0x7bbe4e96, "nlmsvc_ops" },
	{ 0x6f897e9a, "rpc_restart_call" },
	{ 0xd0d57af5, "dentry_open" },
	{ 0x3b1ca623, "filp_close" },
	{ 0x48ea900c, "svc_xprt_destroy_all" },
	{ 0x3dfe639a, "inc_nlink" },
	{ 0x744274d1, "seq_write" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x8ff2c867, "remove_proc_entry" },
	{ 0x952c2395, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x2dd8bc3b, "list_lru_walk_one" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xca69bb2a, "svc_find_xprt" },
	{ 0x171833e8, "seq_printf" },
	{ 0xb144f52e, "svc_proc_unregister" },
	{ 0x94e4a03, "dput" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x92a16af7, "lockref_get" },
	{ 0x74db064d, "rpc_init_wait_queue" },
	{ 0x39bb7e60, "gss_mech_put" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x978a55f4, "touch_atime" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x9feb7b1a, "exportfs_decode_fh_raw" },
	{ 0x1ce1598c, "nfs_stat_to_errno" },
	{ 0xf3913f8f, "vfs_clone_file_range" },
	{ 0x48d43f59, "svc_addsock" },
	{ 0x98a345af, "lookup_one_len_unlocked" },
	{ 0x63e98252, "gss_mech_get" },
	{ 0xe0067c8b, "svc_fill_write_vector" },
	{ 0xb4467cbe, "vfs_llseek" },
	{ 0xb34365ee, "simple_recursive_removal" },
	{ 0xdd81feec, "locks_free_lease" },
	{ 0x93259122, "__put_user_ns" },
	{ 0x435a1a56, "rpc_unlink" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x184048e, "sunrpc_cache_pipe_upcall" },
	{ 0x5ceca71a, "cache_check_rcu" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0xd8ce274b, "single_release" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x6f95498a, "svc_print_addr" },
	{ 0x34c66fae, "vfs_link" },
	{ 0x4d08ca25, "svc_pool_stats_open" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0xb91ebec7, "seq_open" },
	{ 0x32282358, "dget_parent" },
	{ 0x4a915c67, "genl_unregister_family" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x17726561, "from_kuid_munged" },
	{ 0xd62b62f1, "prepare_kernel_cred" },
	{ 0x35c5d617, "write_bytes_to_xdr_buf" },
	{ 0x55a1e526, "rpc_call_async" },
	{ 0x48764d74, "list_lru_del_obj" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x35911cb3, "cache_destroy_net" },
	{ 0xb08e7e6, "locks_delete_block" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7ab5f2c2, "bpf_trace_run7" },
	{ 0xf2fef0c7, "locks_start_grace" },
	{ 0xd88dbbf4, "refcount_dec_and_lock" },
	{ 0x4544176c, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbf49aafa, "percpu_counter_set" },
	{ 0x3f8bd221, "setattr_should_drop_sgid" },
	{ 0xebf7a464, "mntget" },
	{ 0xd3768a39, "single_open" },
	{ 0xb7aa564e, "lease_get_mtime" },
	{ 0x7ff1b4ee, "__mnt_is_readonly" },
	{ 0x3aa4a337, "crypto_alloc_shash" },
	{ 0xd07ec34b, "svc_xprt_close" },
	{ 0x38762c8, "idr_get_next_ul" },
	{ 0x9342515c, "genl_register_family" },
	{ 0x5ac4da5, "vcalloc_noprof" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x74a80d01, "xdr_stream_pos" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0x7e506868, "svc_xprt_create" },
	{ 0xbcce5faf, "sunrpc_cache_update" },
	{ 0x898ad3b2, "svc_auth_flavor" },
	{ 0x449dce24, "xdr_truncate_encode" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8855d4a6, "locks_free_lock" },
	{ 0xa00c3394, "fsnotify_add_mark" },
	{ 0x55c2ddd0, "set_groups" },
	{ 0x85d07771, "rpc_destroy_wait_queue" },
	{ 0x522ff0b6, "kmalloc_caches" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0x4e3510ae, "auth_domain_put" },
	{ 0x6e2f599e, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xaf994107, "d_path" },
	{ 0x9cb9919f, "svcauth_gss_flavor" },
	{ 0x8156dd6f, "vfs_create" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x32f96c4a, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,lockd,grace,nfs_localio,nfs_acl,auth_rpcgss");


MODULE_INFO(srcversion, "4B821C74FAFE71222D9D546");
MODULE_INFO(rhelversion, "10.1");
