#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(uart_write_wakeup, "", "");
KSYMTAB_FUNC(uart_update_timeout, "", "");
KSYMTAB_FUNC(uart_get_baud_rate, "", "");
KSYMTAB_FUNC(uart_get_divisor, "", "");
KSYMTAB_FUNC(uart_xchar_out, "_gpl", "");
KSYMTAB_FUNC(uart_suspend_port, "", "");
KSYMTAB_FUNC(uart_resume_port, "", "");
KSYMTAB_FUNC(uart_register_driver, "", "");
KSYMTAB_FUNC(uart_unregister_driver, "", "");
KSYMTAB_FUNC(uart_console_device, "_gpl", "");
KSYMTAB_FUNC(uart_match_port, "", "");
KSYMTAB_FUNC(uart_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(uart_handle_cts_change, "_gpl", "");
KSYMTAB_FUNC(uart_insert_char, "_gpl", "");
KSYMTAB_FUNC(uart_try_toggle_sysrq, "_gpl", "");
KSYMTAB_FUNC(uart_get_rs485_mode, "_gpl", "");
KSYMTAB_FUNC(uart_add_one_port, "", "");
KSYMTAB_FUNC(uart_remove_one_port, "", "");
KSYMTAB_FUNC(uart_read_port_properties, "_gpl", "");
KSYMTAB_FUNC(uart_read_and_validate_port_properties, "_gpl", "");

SYMBOL_CRC(uart_write_wakeup, 0xa2e5a5a0, "");
SYMBOL_CRC(uart_update_timeout, 0x868ba531, "");
SYMBOL_CRC(uart_get_baud_rate, 0xbe91e3e1, "");
SYMBOL_CRC(uart_get_divisor, 0x199a5188, "");
SYMBOL_CRC(uart_xchar_out, 0x4eda9485, "_gpl");
SYMBOL_CRC(uart_suspend_port, 0x66d94ef6, "");
SYMBOL_CRC(uart_resume_port, 0xac000017, "");
SYMBOL_CRC(uart_register_driver, 0x8da27dc1, "");
SYMBOL_CRC(uart_unregister_driver, 0x12e52f9a, "");
SYMBOL_CRC(uart_console_device, 0x1f174050, "_gpl");
SYMBOL_CRC(uart_match_port, 0x9eb79f70, "");
SYMBOL_CRC(uart_handle_dcd_change, 0xe322acc3, "_gpl");
SYMBOL_CRC(uart_handle_cts_change, 0x342c57ce, "_gpl");
SYMBOL_CRC(uart_insert_char, 0x9470d60a, "_gpl");
SYMBOL_CRC(uart_try_toggle_sysrq, 0x3ceacfe7, "_gpl");
SYMBOL_CRC(uart_get_rs485_mode, 0xc8e7367c, "_gpl");
SYMBOL_CRC(uart_add_one_port, 0xbbfe7dbf, "");
SYMBOL_CRC(uart_remove_one_port, 0x2283ee93, "");
SYMBOL_CRC(uart_read_port_properties, 0x3647d6ca, "_gpl");
SYMBOL_CRC(uart_read_and_validate_port_properties, 0x77c24a89, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xeec62bce, "dev_set_name" },
	{ 0x67bf8abb, "tty_port_tty_set" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x1bf7cda2, "platform_get_irq" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x25986df4, "tty_kref_put" },
	{ 0x38825baf, "gpiod_set_value_cansleep" },
	{ 0xb40b527a, "device_initialize" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3405c4d4, "tty_port_link_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0xc6f65c7f, "__tty_alloc_driver" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xcaa9662e, "tty_standard_install" },
	{ 0x69ce2030, "devm_gpiod_get_optional" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xb3e3d38e, "tty_hangup" },
	{ 0x516b82e6, "tty_unregister_driver" },
	{ 0x782b8c75, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x9fe6f056, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x3a066b0b, "device_property_read_u32_array" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x1687ec20, "tty_get_frame_size" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe9694c88, "tty_port_tty_wakeup" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xb9b5fc23, "_dev_alert" },
	{ 0x1fd50123, "tty_port_unregister_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xaf78cd94, "bus_unregister" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xc187b6ff, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0xedccb7e7, "device_add" },
	{ 0xdf269501, "tty_ldisc_ref" },
	{ 0xf021a918, "tty_vhangup" },
	{ 0x15b6a9c, "irq_get_irq_data" },
	{ 0x83cfa68a, "__tty_insert_flip_string_flags" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x70347b88, "tty_port_destroy" },
	{ 0x3a46790a, "tty_port_init" },
	{ 0x85abc85f, "strncmp" },
	{ 0x1cd49028, "seq_putc" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x48d7d2ea, "driver_unregister" },
	{ 0xef2bca7e, "__dev_fwnode_const" },
	{ 0xc4100148, "tty_ldisc_deref" },
	{ 0xe524ba6b, "device_find_child" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6bf78bb2, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x6cd525e6, "tty_port_register_device_attr_serdev" },
	{ 0x1c0c73c4, "tty_port_close" },
	{ 0x6c2a2fa6, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xef45d32c, "__kfifo_init" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa47bcec0, "_dev_notice" },
	{ 0x5ea39b06, "fwnode_property_present" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x48b56571, "tty_register_driver" },
	{ 0xf023553, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x952c2395, "__kmalloc_cache_noprof" },
	{ 0x6f40bb96, "tty_name" },
	{ 0x5641485b, "tty_termios_encode_baud_rate" },
	{ 0x56470118, "__warn_printk" },
	{ 0x171833e8, "seq_printf" },
	{ 0xab47951e, "tty_port_open" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x14d7477f, "console_list_unlock" },
	{ 0x31f3885d, "device_property_read_bool" },
	{ 0x657941d9, "register_console" },
	{ 0x6915bfc2, "dev_err_probe" },
	{ 0x8cc84d40, "__seq_puts" },
	{ 0x16ceefb8, "fwnode_irq_get" },
	{ 0xcdca3691, "nr_irqs" },
	{ 0x6f14e9db, "console_list_lock" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x3792c4f1, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x465e5d57, "tty_driver_kref_put" },
	{ 0xaaf535b8, "__dev_fwnode" },
	{ 0x522ff0b6, "kmalloc_caches" },
	{ 0x4a019c1, "bus_register" },
	{ 0x81c41916, "tty_port_tty_get" },
	{ 0x32f96c4a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "15CE4B7C0823528037B4062");
MODULE_INFO(rhelversion, "10.1");
